API / Reference / Customer Credits
Unlink customer credit from invoice
POST
https://api.light.inc/v1/customer-credits/{customerCreditId}/invoice-receivables/{invoiceReceivableId}/unlink
Unlinks a customer credit from a sales invoice. If the customer credit has already been applied (CLEARED or PARTIALLY_CLEARED status), this will reverse the clearing entries in the ledger.
If the credit has already been applied, the clearing on the invoice is reversed first (the invoice goes back to OPEN or PARTIALLY_PAID) and the credit returns to POSTED. A link that doesn't exist is CUSTOMER_CREDIT_INVOICE_RECEIVABLE_NOT_FOUND. Answers with an empty body.
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Path parameters
-
customerCreditIdstring · uuidrequired -
invoiceReceivableIdstring · uuidrequired
Response
This endpoint returns no content.